Create Sales Order Note
curl --request POST \
--url https://api.jtl-cloud.com/erp/v2/sales-orders/{salesOrderId}/notes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"noteBody": "<string>"
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/sales-orders/{salesOrderId}/notes"
payload = { "noteBody": "<string>" }
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({noteBody: '<string>'})
};
fetch('https://api.jtl-cloud.com/erp/v2/sales-orders/{salesOrderId}/notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"noteId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"noteBody": "<string>"
}{
"errorCode": "<string>",
"validationErrors": {},
"errors": {},
"errorMessage": "<string>",
"stacktrace": "<string>"
}Sales Order
Create Sales Order Note
Creates a new note for a specific sales order.
POST
/
v2
/
sales-orders
/
{salesOrderId}
/
notes
Create Sales Order Note
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Path Parameters
The ID of the sales order that the notes belong to.
Example:
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Body
application/json
The note of the sales order to create.
Model Class: CreateNote
The text in the customer note.
Response
The created note of the sales order.
Was this page helpful?
⌘I